package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import com.alibaba.fastjson.JSONObject;

import java.util.HashMap;

public interface SleepthingService {

    JSONObject getDevicePower(HashMap<String, Object> paramMap);

    JSONObject getDeviceInfo(HashMap<String, Object> paramMap);

    JSONObject getRealTimeData(HashMap<String, Object> paramMap);

    JSONObject stopSendRealTimeData(HashMap<String, Object> paramMap);

    JSONObject sendRealTimeData(HashMap<String, Object> paramMap);

    JSONObject getDeviceNetworkState(HashMap<String, Object> paramMap);

    JSONObject isThisDeviceValid(HashMap<String, Object> paramMap);

    JSONObject getDaySleepReport(HashMap<String, Object> paramMap);

    JSONObject bindUserBodyInfo(HashMap<String, Object> paramMap);

    JSONObject bindUserBodyInfoOld(HashMap<String, Object> paramMap);

    JSONObject unbind(HashMap<String, Object> paramMap);

    JSONObject unbindOld(HashMap<String, Object> paramMap);

    JSONObject setAlarmLevel(HashMap<String, Object> paramMap);

    JSONObject getAlarmLevel(HashMap<String, Object> paramMap);

    JSONObject setEventNotify(HashMap<String, Object> paramMap);

    JSONObject getEventNotifyList(HashMap<String, Object> paramMap);

    JSONObject setReportNotifyUrl(HashMap<String, Object> paramMap);

    JSONObject setAlarmNotifyUrl(HashMap<String, Object> paramMap);

    JSONObject setEventNotifyUrl(HashMap<String, Object> paramMap);

    CommonResult generateSleepReport(HashMap<String, Object> params);

    void alarmNotify(HashMap<String, Object> params);
}
